#include <bits/stdc++.h>
#define ll long long
#define pb push_back
#define fi first
#define se second
#define all(x) x.begin(),x.end()
#define pii pair<int,int>
#define pll pair<ll,ll>
#define en '\n'
#define ld long double
using namespace std;
//const int mod=998244353;
const int mod=1e9+7;
const int maxn=2e5+10;
const int inf=2e9;
const ll linf=4e18;
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    int n;
    cin>>n;
    cout<<setprecision(4)<<fixed;
    vector<pair<ld,int>> a(n);
    for (int i=0;i<n;i++){cin>>a[i].se>>a[i].fi;a[i].fi/=100;}
    sort(a.rbegin(),a.rend());
    vector<ll> pre(n);
    pre[0]=a[0].se;
    for(int i=1;i<n;i++)pre[i]=pre[i-1]+a[i].se;
    ld ans=0;
    for (int i=0;i<n;i++)ans=max(ans,(ld)(a[i].fi*pre[i]));
    cout<<ans;
    return 0;
}